//+------------------------------------------------------------------+
//|                                          GetIndicatorBuffers.mqh |
//|                                  Copyright 2019, Marco Consiglio |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2019, Marco Consiglio"
#property link      "https://www.mql5.com"
//+------------------------------------------------------------------+
//|Included files                                                    |
//+------------------------------------------------------------------+
#include <Indicators\Custom.mqh>
/**
  *   Get the three value of the Keltner Channel: UpperLine, MiddleLine, LowerLine.
  *
  **/
//+------------------------------------------------------------------+
//|Get the three value of the Keltner Channel: UpperLine, MiddleLine,|
//|LowerLine.                                                        |
//|INPUT: KeltnerChannel - The indicator                             |
//|       start      - The index where to start to fetch data        |
//|       count      - The quantity of elements to fetch             |
//|       UpperLine  - The temporary buffer for UpperLine            |
//|       MiddleLine - The temporary buffer for MiddleLine           |
//|       LowerLine  - The temporary buffer for LowerLine            |
//|       asSeries   - True if you want a series, false otherwise    |
//| OUTPUT: The three indicator buffer will be copied into the three |
//|         temporary buffer                                         |
//+------------------------------------------------------------------+
void GetKeltnerChannelBuffers(CiCustom &KeltnerChannel, 
                              int start, 
                              int count, 
                              double &UpperLine[], 
                              double &MiddleLine[], 
                              double &LowerLine[], 
                              bool asSeries = true)
{
   KeltnerChannel.Refresh();
   KeltnerChannel.GetData(start, count, 2, UpperLine);
   KeltnerChannel.GetData(start, count, 0, MiddleLine);
   KeltnerChannel.GetData(start, count, 3, LowerLine);
}